## net.sf.statcvs.pages
Interface MarkupSyntax

All Known Implementing Classes:
  MarkupHTML, MarkupXDoc, MarkupXML

    public interface MarkupSyntax

Version:
  $Id: MarkupSyntax.java,v 1.2 2006/12/09 14:22:54 cyganiak Exp $
Author:
  Benoit Xhenseval, Richard Cyganiak (richard@cyganiak.de)

Method Summary
`java.lang.String` `endSection1()`
`java.lang.String` `endSection2()`
`java.lang.String` `getEndOfPage()`
`java.lang.String` `getExtension()` Extension for report pages, e.g.
`java.lang.String` `getHeader(java.lang.String pageName, java.lang.String stylesheetURL)`
`java.lang.String` `getTableFormat()`
`java.lang.String` `startSection1(java.lang.String title)`
`java.lang.String` `startSection2(java.lang.String title)`
`java.lang.String` `startSection2(java.lang.String title, java.lang.String id)`

Method Detail

### getExtension

    java.lang.String getExtension()

  Extension for report pages, e.g. `html`

### getHeader

    java.lang.String getHeader(java.lang.String pageName,
                               java.lang.String stylesheetURL)

### getEndOfPage

    java.lang.String getEndOfPage()

### startSection1

    java.lang.String startSection1(java.lang.String title)

### endSection1

    java.lang.String endSection1()

### startSection2

    java.lang.String startSection2(java.lang.String title)

### startSection2

    java.lang.String startSection2(java.lang.String title,
                                   java.lang.String id)

### endSection2

    java.lang.String endSection2()

### getTableFormat

    java.lang.String getTableFormat()